> For the complete documentation index, see [llms.txt](https://developer.prophius.com/developer-console/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.prophius.com/developer-console/merchant-embed-sdk/react-native/sdk-api-reference/creating-sdk-module-class/send-receipt.md).

# Send Receipt

This function is used to send the transction receipt to the given mail address. It can be used after transaction and also in transaction page.

```kotlin
PayContactlessEmbed.getInstance().sendReceipt(
    transactionId: Long,
    email: String,
    listener: SendMailListener
)
```

### Method Parameters

| Field Name    | Data Type        | Required | Description                                                                    |
| ------------- | ---------------- | -------- | ------------------------------------------------------------------------------ |
| transactionId | Long             | true     | Unique identifier of the transaction for which the receipt will be sent.       |
| email         | String           | true     | Email address that will receive the transaction receipt.                       |
| listener      | SendMailListener | true     | Callback interface used to receive the result of the receipt delivery request. |

## **Send  Mail Listener**

```java
public interface SendMailListener {
    void onSuccess();
    void onFailure(Error error);
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.prophius.com/developer-console/merchant-embed-sdk/react-native/sdk-api-reference/creating-sdk-module-class/send-receipt.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
